Package ru.bitel.bgbilling.modules.bill.server.event

# Class BillCreatedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.bill.server.event.BillCreatedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class BillCreatedEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - создан счет.
Событие генерируется при создании счета в модуле. Используется для скриптов.
Унаследовано от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `BillCreatedEvent()` |
  `` | `BillCreatedEvent​(int userId, int mid, int cid, int billId)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBillId()` | Возвращает идентификатор счета.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BillCreatedEvent

    protected BillCreatedEvent()

  - ### BillCreatedEvent

    public BillCreatedEvent​(int userId, int mid, int cid, int billId)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `mid` - - код модуля
      `cid` - - код договора
      `billId` - - код счета в таблице bill_data_{mid}

- ## Method Details

  - ### getBillId

    public int getBillId()
    Возвращает идентификатор счета.
    Returns:
      billId - идентификатор счета (id в таблице bill_data_{mid})